# Method Filesystem.Monitor.basic()->check_monitor()

Method check_monitor

  ``protected` `bool` check_monitor(`Monitor` `m`, `MonitorFlags`|`void` `flags`)`

Description

  Check a single Monitor for changes.

Parameter `m`

  Monitor to check.

Parameter `flags`

  ``0`` | Don't recurse.
  ``1`` | Check all monitors for the entire subtree rooted in `m`.

  This function is called by check() for the Monitors it considers need checking. If it detects any changes an appropriate callback will be called.

Returns

  Returns `1` if a change was detected and `0` (zero) otherwise.

Note

  Any callbacks will be called from the same thread as the one calling check_monitor().

Note

  The return value can not be trusted to return `1` for all detected changes in recursive mode.

See also

  check(), data_changed(), attr_changed(), file_created(), file_deleted(), stable_data_change()